%define dbus_version    	  1.2
%define dbus_glib_version	  0.76
%define glib2_version             2.16
%define gtk2_version              2.17.2
%define gnome_doc_utils_version   0.3.2
%define gnome_keyring_version     2.22
%define devicekit_disks_version   009
%define unique_version            1.0.4
%define libnotify_version         0.4.4
%define nautilus_version          2.26
%define libatasmart_version       0.14

Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Summary: 	Disk management application
Name: 		gnome-disk-utility
Version: 	2.28.1
Release: 	1
BuildArch:	i686
License: 	LGPLv2+
Group: 		System/Libraries
URL: 		http://git.gnome.org/cgit/gnome-disk-utility
Source0: 	%{name}-%{version}.tar.bz2
BuildRequires: 	dbus-devel  >= %{dbus_version}
BuildRequires: 	dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: 	dbus-glib >= %{dbus_glib_version}
BuildRequires: 	glib-devel >= %{glib2_version}
BuildRequires: 	gtk2+-devel >= %{gtk2_version}
BuildRequires: 	gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: 	gettext
BuildRequires: 	desktop-file-utils
BuildRequires: 	gnome-keyring-devel >= %{gnome_keyring_version}
BuildRequires: 	DeviceKit-disks-devel >= %{devicekit_disks_version}
BuildRequires: 	unique-devel >= %{unique_version}
BuildRequires: 	libnotify-devel >= %{libnotify_version}
BuildRequires: 	nautilus-devel >= %{nautilus_version}
BuildRequires: 	libatasmart-devel >= %{libatasmart_version}
BuildRequires: 	intltool libudev-devel which libxml2-devel libxslt-devel libxml2-python
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires: %{name}-libs = %{version}-%{release}

%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption,
RAID, SMART monitoring, etc.

%package libs
Summary: Shared libraries used by Palimpsest
Group: Development/Libraries
Requires: DeviceKit-disks >= %{devicekit_disks_version}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description libs
This package contains libraries that are used by the Palimpsest
disk management application. The libraries in this package do not
contain UI-related code.

%package ui-libs
Summary: Shared libraries used by Palimpsest
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description ui-libs
This package contains libraries that are used by the Palimpsest
disk management application. The libraries in this package contain
disk-related widgets for use in GTK+ applications.

%package devel
Summary: Development files for gnome-disk-utility-libs
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: glib-devel >= %{glib2_version}
Requires: pkgconfig

%description devel
This package contains header files and libraries needed to
develop applications with gnome-disk-utility-libs.

%package ui-devel
Summary: Development files for gnome-disk-utility-ui-libs
Group: Development/Libraries
Requires: %{name}-ui-libs = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: gtk2+-devel >= %{gtk2_version}
Requires: pkgconfig

%description ui-devel
This package contains header files and libraries needed to
develop applications with gnome-disk-utility-ui-libs.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# TODO: upstream doesn't ship a HACKING file yet
echo " " > HACKING

desktop-file-install --delete-original  \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/palimpsest.desktop

desktop-file-install --delete-original  \
  --dir $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart \
  $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/gdu-notification-daemon.desktop

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.a


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update
update-desktop-database %{_datadir}/applications &> /dev/null

%postun
scrollkeeper-update
update-desktop-database %{_datadir}/applications &> /dev/null

%post libs
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
/sbin/ldconfig

%postun libs
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
/sbin/ldconfig

%post ui-libs -p /sbin/ldconfig

%postun ui-libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)

%{_libexecdir}/gdu-notification-daemon
%{_sysconfdir}/xdg/autostart/gdu-notification-daemon.desktop
%{_libdir}/nautilus/extensions-2.0/*.so
%{_libexecdir}/gdu-format-tool

%{_bindir}/palimpsest
%{_datadir}/applications/palimpsest.desktop

%dir %{_datadir}/gnome/help/palimpsest
%{_datadir}/gnome/help/palimpsest/*

%dir %{_datadir}/omf/palimpsest
%{_datadir}/omf/palimpsest/*

%files libs -f %{name}.lang
%defattr(-,root,root,-)

%doc README AUTHORS NEWS COPYING HACKING doc/TODO

%{_libdir}/libgdu.so.*

# Yes, it's a bit weird to include icons in the non-UI package but the
# library returns references to these icons
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg

%files ui-libs
%defattr(-,root,root,-)

%{_libdir}/libgdu-gtk.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.la
%{_libdir}/libgdu.so
%{_libdir}/pkgconfig/gdu.pc

%dir %{_includedir}/gnome-disk-utility
%dir %{_includedir}/gnome-disk-utility/gdu
%{_includedir}/gnome-disk-utility/gdu/*

# TODO: upstream needs to split docs for libgdu and libgdu-gtk
%dir %{_datadir}/gtk-doc/html/gnome-disk-utility
%{_datadir}/gtk-doc/html/gnome-disk-utility/*

%files ui-devel
%defattr(-,root,root,-)

%{_libdir}/libgdu-gtk.so
%{_libdir}/pkgconfig/gdu-gtk.pc

%dir %{_includedir}/gnome-disk-utility/gdu-gtk
%{_includedir}/gnome-disk-utility/gdu-gtk/*

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Initial Ccux package release
